有些小伙伴无法安装苹果开发者工具command line tools,安装的时候会提示“不能安装该软件,因为当前无法从软件更新服务器获得”,下面小编就教大家手动来安装。
* o6 J$ K4 j1 e
6 V* J! K* d, Z& }) P8 _  a! k. N什么是 command line tools?
  • Command Line Tools 是苹果的一个小型独立包,适用于 macOS,为终端扩展了额外的功能。包括但不限于:svn、git、make、GCC、clang、perl、size、strip、strings、libtool、cpp、what、codesign以及其他很多能够在Linux中找到的命令。
  • 对于 macOS 的普通用户来说,主要是使用它的签名功能,就是给没签名的应用/签名失效的应用进行签名啦。因为苹果的应用不签名或者签名失效基本上就会闪退无法运行。
  • 一般来说,大家只需打开终端,然后在终端中执行 xcode-select --install 就会打开安装程序,然后按提示安装即可。但是有些用户的网络和苹果服务器连接不上就会报错:不能安装该软件,因为当前无法从软件更新服务器获得% v( g% m; y  S& q- v: i
    解决方法一旦提示:不能安装该软件,因为当前无法从软件更新服务器获得,你就需要手动去苹果开发者下载中心下载command line tools的离线安装包了。
    ! x6 B  F& }* e+ V[ol]
  • 打开苹果开发者中心:https://developer.apple.com[/ol](苹果开发者中心的服务器不在国内,所以打开会很慢,耐心等待)
  • 点击顶部导航最右边的Account,然后登录自己的Apple ID[/ol]$ d5 K  z- I6 D9 D, n
    $ }: @; k. {* M5 R% O
  • 打开开发者下载中心:https://developer.apple.com/download/more/
  • 搜索command line tools (在搜索框中输入完要按一下回车键),选择适用于自己 macOS 系统的版本。
    % X/ Y% N- S; o# t+ z[/ol]# _+ K6 I3 A5 i1 L6 G& K# s0 S4 l

    . h5 [9 a/ x1 I, P
  • M1/M2.x 可以下载 Command Line Tools for Xcode 11.4 及以上版本
  • M1/M2.x 可以下载 Command Line Tools (macOS M1/M2) for xxx,其中包含 macOS M1/M2的。
  • M1/M2.x 可以下载 Command Line Tools (macOS M1/M2) for xxx,其中包含 macOS M1/M2的。
  • xxxxx其它版同以此类推。
    : w6 e  V3 M, Y, _, J8 I! r
  • 下载完成后,安装一下,安装完成后就可以使用啦。[/ol]
  • 已有 0 个人发表评论

    高级模式
    B Color Image Link Quote Code Smilies
    您需要登录后才可以回帖 登录 | 立即注册  

    本版积分规则

    加入VIP会员
    快速回复 返回列表 客服中心





    快速回复 返回顶部 返回列表